Bug Hunting Session
Bug 91269 - MSO2013 Template - D&B Business Verification - Comment Bubble Covers Text and Won't Go Away
Summary: MSO2013 Template - D&B Business Verification - Comment Bubble Covers Text and...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: Excel-2013-Templates VclPtr
  Show dependency treegraph
 
Reported: 2015-05-13 19:27 UTC by Joel Madero
Modified: 2015-05-16 02:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original.xlsx (49.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-13 19:27 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2015-05-13 19:27:42 UTC
Created attachment 115574 [details]
Original.xlsx

Windows 7
Version: 5.0.0.0.alpha1+
Build ID: 5b3a30f40a7ce476922649b734f6ede1c2fdef4b
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-05-13_01:52:36
Locale: en-US (en_US)



1) Open Original.xlsx in LibreOffice;
2) Left click on C11

Observed: Comment bubble pops up in an awkward position (in the row), covers heading text and you cannot get it to go away.

Expected: The comment is treated like any other comment and pops up in a comment bubble that you can easily close
Comment 1 m.a.riosv 2015-05-13 21:33:41 UTC
Hi @Joel,
this box are set up with Menu/Data/Validity, where it's possible disable it in Input help tab. Seems there is not way to be moved like a cell comments, and I don't know if ODF specification allow such movement.
Comment 2 Joel Madero 2015-05-13 21:35:26 UTC
Markus wants *any* report - even if we don't support the feature, he wants it reported.

The idea is to be 100% compatible with MSO 2013 templates - so if we're missing a feature, it's still a valid report :)
Comment 3 Markus Mohrhard 2015-05-13 23:58:55 UTC
Regression from the VclPtr work.
Comment 4 Commit Notification 2015-05-14 00:07:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9de1d53a2ce3ee7036b4688b373db7b2235af4d9

VclPtr::reset does not delete the widget, tdf#91269

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.